//   Copyright 2007, 2008 Nicolas Dubuit
//
//     This file is part of Immix.
//
//     Immix is free software: you can redistribute it and/or modify
//     it under the terms of the GNU General Public License as published by
//     the Free Software Foundation, either version 3 of the License, or
//     (at your option) any later version.
//
//     This program is distributed in the hope that it will be useful,
//     but WITHOUT ANY WARRANTY; without even the implied warranty of
//     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//     GNU General Public License for more details.
//
//     You should have received a copy of the GNU General Public License
//     along with this program.  If not, see <http://www.gnu.org/licenses/>.

#include <QDialog>
#include <QLabel>
#include <QImage>
#include <QWidget>
#include <QScrollArea>
#include <QPixmap>

class QNImageDialog : public QDialog
{
Q_OBJECT
	QLabel* label ;
	QScrollArea* scroller ;

public :
	QNImageDialog ( QWidget * parent = 0, Qt::WFlags f = 0 ) ;

public slots :
	void setImage (QImage) ;
} ;

